Subject: Re: bug#70914: 29.3; Crashes often on Windows

From: Eli Zaretskii <[email-masked]>
Date: Wed, 15 May 2024 15:15:59 +0300

> From: Simen Endsjø <[email-masked]>
> Date: Wed, 15 May 2024 13:19:53 +0200
> Cc: [email-masked]
> 
> I found another issue. My files are stored in UTF-8 also on Windows.
> Without setting Windows in the "Beta: Use UTF-8 everywhere", tools
> like ripgrep will somehow interpret the files as latin-1. So I cannot
> search for special characters in my language, and I even remember
> having crashes happening when searching documents which includes them.

Not sure how this is related to Emacs.  I only recommended not to
customize Emacs to use UTF-8 by default; I said nothing about ripgrep
or Windows in general.

You can keep your "Use UTF-8 everywhere" setting for Windows, just
don't customize the coding-systems in Emacs to use UTF-8 by default.

Or what am I missing?